Bug 1316718 - oc options -n format issue [NEEDINFO]
oc options -n format issue
Status: CLOSED WONTFIX
Product: OpenShift Origin
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
3.x
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Fabiano Franz
Wei Sun
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 16:52 EST by Peter Ruan
Modified: 2016-07-04 23:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-04 23:07:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ffranz: needinfo? (pruan)


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2016-03-10 16:52:14 EST
Description of problem:
the output for 'oc options' does not line up correctly with the rest of the help text

Version-Release number of selected component (if applicable):
oc v1.1.3-232-gf39a5a8
kubernetes v1.2.0-alpha.7-703-gbc4550d

How reproducible:
always

Steps to Reproduce:
1. oc options
2.
3.

Actual results:

The following options can be passed to any command:

      --api-version='': The API version to use when talking to the server
      --certificate-authority='': Path to a cert. file for the certificate authority.
      --client-certificate='': Path to a client certificate file for TLS.
      --client-key='': Path to a client key file for TLS.
      --cluster='': The name of the kubeconfig cluster to use
      --config='': Path to the config file to use for CLI requests.
      --context='': The name of the kubeconfig context to use
      --insecure-skip-tls-verify=false: If true, the server's certificate will not be checked for validity. This will make your HTTPS connections insecure.
      --log-flush-frequency=5s: Maximum number of seconds between log flushes
      --loglevel=0: Set the level of log output (0-5)
      --match-server-version=false: Require server version to match client version
  -n, --namespace='': If present, the namespace scope for this CLI request.
      --server='': The address and port of the Kubernetes API server
      --token='': Bearer token for authentication to the API server.
      --user='': The name of the kubeconfig user to use
Expected results:


Additional info:
Comment 1 Fabiano Franz 2016-03-11 11:30:29 EST
Not sure I understood, do you mean -n being to the left of the other flags? In that case that's ok, right now it's the only flags with a short form, and the short form of flags is aligned 2 spaces from the left of the screen. Long form seems aligned with the other ones.

Note You need to log in before you can comment on or make changes to this bug.